Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
FBufferStruct Struct Reference

`#include <fbuffer.h>`

## Data Fields
unsigned long | initial_length
char * | ptr
unsigned long | len
unsigned long | capa

## Detailed Description

Definition at line 46 of file fbuffer.h.

## Field Documentation

## ◆ capa

unsigned long FBufferStruct::capa

Definition at line 50 of file fbuffer.h.

## ◆ initial_length

unsigned long FBufferStruct::initial_length

Definition at line 47 of file fbuffer.h.

## ◆ len

unsigned long FBufferStruct::len

Definition at line 49 of file fbuffer.h.

## ◆ ptr

char* FBufferStruct::ptr

Definition at line 48 of file fbuffer.h.

The documentation for this struct was generated from the following file:

- ext/json/fbuffer/fbuffer.h